﻿<%@ Page Title="CI-Archive - Configuration" Language="vb" AutoEventWireup="false" CodeBehind="archiveConfig.aspx.vb" Inherits="CI.Archive.ArchiveConfigPage" MasterPageFile="~/Shared/MasterPagelayout.Master" ValidateRequest="false" EnableEventValidation="true" %>

<asp:Content ID="Content3" ContentPlaceHolderID="Sidebar" runat="Server">
    <div style="margin: 5px; text-align: center;">
        <br />
        <br />
        <img alt="" src="<%= VirtualPathUtility.ToAbsolute("~/images/data_shared128.png") %>" /><br />
        <br />
        <br />
        <asp:Label ID="lblInfo" runat="server" Text="Archive Configuration"></asp:Label>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" runat="server">
    <div class="container-fluid">

        <asp:Panel ID="pnlNoMaster" BackColor="NavajoWhite" Visible="false" runat="server">
            <h1>
                <telerik:RadLabel ID="RadLabel1" Text="NO MASTER USER!" runat="server" />
            </h1>
            <telerik:RadLabel ID="RadLabel2" Text="Login as a MASTER and open this page again." runat="server" />
        </asp:Panel>


        <asp:Panel ID="pnlConfigureFirst" runat="server" Visible="false">
            <h1>
                <telerik:RadLabel ID="RadLabel3" Text="Your CI-Archive in not configured!" runat="server" />
            </h1>
            <telerik:RadLabel ID="RadLabel4" Text="Di this first..." runat="server" />

        </asp:Panel>

            

        <asp:Panel ID="pnlExchange" runat="server">
            <h1>
                <telerik:RadLabel ID="pnlHeaderExchange" Text="Exchange" runat="server" />
            </h1>
            <telerik:RadLabel ID="lblConfigureExchange" Text="Configure your Office 365 in Register Office 365/POP/IMAP" runat="server" />
            <br />
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadCheckBox ID="cbNoOwnExchange" runat="server" Text="No own Exchange Server"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadCheckBox ID="cbNoOwnAD" runat="server" Text="No own Active Directory"></telerik:RadCheckBox>
                </div>
            </div>
            <h4>
                <telerik:RadLabel ID="lblExchangeHeader" Text="Exchange Server Settings" runat="server" />
            </h4>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadLabel ID="lblExchangeServer" Text="Exchange server:" runat="server" />
                    <telerik:RadTextBox ID="tbExchangeServer" BackColor="GreenYellow" runat="server" />
                    <br />
                    <telerik:RadCheckBox ID="cbUseVirtualServer" runat="server" Text="Use virtual server"></telerik:RadCheckBox>
                    <telerik:RadTextBox ID="tbVirtualServer" runat="server" />
                    <telerik:RadLabel ID="lblInfoVirtualServer" Text="just for Exchange 2003" runat="server" />
                    <br />
                    <telerik:RadCheckBox ID="cbMultiServer" runat="server" Text="Users on different Exchange Servers"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadLabel ID="lblExchangeVersions" Text="Exchange Server-Version:" runat="server" />
                    <br />
                    <telerik:RadButton ID="rbExchange2003" runat="server" AutoPostBack="true" CausesValidation="false" Text="Bottom" ToggleType="Radio" ButtonType="ToggleButton" GroupName="ExServerVersion" />
                    <telerik:RadTextBox ID="tbEx2k3ext" runat="server" />
                    <telerik:RadCheckBox ID="cbFBA2003" runat="server" Text="FBA"></telerik:RadCheckBox>
                    <telerik:RadCheckBox ID="cbUseSSL2003" runat="server" Text="SSL"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadButton ID="rbExchange2007" runat="server" AutoPostBack="true" CausesValidation="false" Text="Bottom" ToggleType="Radio" ButtonType="ToggleButton" GroupName="ExServerVersion" />
                    <telerik:RadTextBox ID="tbEx2k7ext" runat="server" />
                    <telerik:RadCheckBox ID="cbFBA2007" runat="server" Text="FBA"></telerik:RadCheckBox>
                    <telerik:RadCheckBox ID="cbUseSSL2007" runat="server" Text="SSL"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadButton ID="rbExchange2010" runat="server" AutoPostBack="true" CausesValidation="false" Text="Bottom" ToggleType="Radio" ButtonType="ToggleButton" GroupName="ExServerVersion" />
                    <telerik:RadTextBox ID="tbEx2k10ext" runat="server" />
                    <telerik:RadCheckBox ID="cbFBA2010" runat="server" Text="FBA"></telerik:RadCheckBox>
                    <telerik:RadCheckBox ID="cbUseSSL2010" runat="server" Text="SSL"></telerik:RadCheckBox>
                    <br />
                    <br />
                    <telerik:RadLabel ID="lblUser" Text="User:" runat="server" />
                    <telerik:RadTextBox ID="tbUser" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblPassword" Text="Password:" runat="server" />
                    <telerik:RadTextBox ID="tbPassword" TextMode="Password" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblDomain" Text="Domain (FQDN):" runat="server" />
                    <telerik:RadTextBox ID="tbDomain" runat="server" /><br />
                </div>
            </div>
            <h4>
                <telerik:RadLabel ID="gbServiceMailbox" Text="Service Mailbox Exchange Web Service and external URL's" runat="server" />
            </h4>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <!-- gbServiceMailbox panel or box -->
                    <telerik:RadLabel ID="lblEWSMail" runat="server" Text="Mail:" />
                    <telerik:RadTextBox ID="tbEWSMail" runat="server" />

                    <telerik:RadLabel ID="lblinfoEWSMail" Text="oofservice@yourdomain.com" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblEWSServerURL" Text="Server-URL:" runat="server" />
                    <telerik:RadTextBox ID="tbEWSServerUrl" runat="server" />

                    <telerik:RadLabel ID="lblInfoEWSServerUrl" Text="mail.yourdomain.com" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblEWSSettingsUrl" Text="Settings-URL:" runat="server" />
                    <telerik:RadTextBox ID="tbEWSSettingsUrl" runat="server" />
                    <telerik:RadLabel ID="lblInfoEWSSettingsURL" Text="https://mail.yourdomain.com/ci-oof.xml" runat="server" />
                    <br />
                </div>
            </div>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadLabel ID="lblDefaultStoragePath" Text="Path:" runat="server" />
                    <telerik:RadTextBox ID="tbDefaultStoragePath" BackColor="GreenYellow" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblDefaultClosedStoragePath" Text="Closed-Path:" runat="server" />
                    <telerik:RadTextBox ID="tbDefaultClosedStoragePath" BackColor="GreenYellow" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lbLogsPath" Text="Logs Path:" runat="server" />
                    <telerik:RadTextBox ID="tbLogsPath" BackColor="GreenYellow" runat="server" />
                    <br />
                </div>
            </div>
        </asp:Panel>
        <asp:Panel ID="pnlArchive" runat="server">
            <h1>
                <telerik:RadLabel ID="pnlHeaderArchive" Text="Archive" runat="server" />
            </h1>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <asp:RadioButtonList ID="rbChooseMode" runat="server">
                        <asp:ListItem>Year(recommended)</asp:ListItem>
                        <asp:ListItem>Quarter</asp:ListItem>
                        <asp:ListItem>Complete</asp:ListItem>
                    </asp:RadioButtonList>
                </div>
            </div>
            <!--maximum Size panel or box-->
            <br />
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadLabel ID="lblMaxArchiveSize" Text="Size:" runat="server" />
                    <telerik:RadTextBox ID="tbMaxArchiveSize" runat="server" />
                    <telerik:RadLabel ID="lblinfoMaxArchiveSize" Text="GB" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblMaxArchiveSizeLimit" Text="0=max Size limitation of 6 GB" runat="server" />
                </div>
            </div>
            <br />
            <!--Additional Exchange Parameters panel or box-->
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadCheckBox ID="cbImpersonate" runat="server" Text="Impersonate">
                    </telerik:RadCheckBox>
                    <br />
                    <br />
                    <telerik:RadLabel ID="lblExchangeTimeout" Text="Timeout:" runat="server" />
                    <telerik:RadNumericTextBox ID="numExchangeTimeout" runat="server" Culture="de-DE" DbValueFactor="1" LabelWidth="64px" Value="600" Width="160px" MaxValue="1000" MinValue="30" ShowSpinButtons="True" DataType="System.Int32">
                        <NegativeStyle Resize="None" />
                        <NumberFormat DecimalDigits="0" ZeroPattern="n" />
                        <EmptyMessageStyle Resize="None" />
                        <ReadOnlyStyle Resize="None" />
                        <FocusedStyle Resize="None" />
                        <DisabledStyle Resize="None" />
                        <InvalidStyle Resize="None" />
                        <HoveredStyle Resize="None" />
                        <EnabledStyle Resize="None" />
                    </telerik:RadNumericTextBox>
                    <telerik:RadLabel ID="lblInfoExchangeTimeout" Text="seconds(Default=600)" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblMaxOpenedStorages" Text="Max opened storages:" runat="server" />
                    <telerik:RadNumericTextBox ID="numMaxOpenedStorages" runat="server" Culture="de-DE" DbValueFactor="1" LabelWidth="64px" Value="20" Width="160px" MaxValue="100" MinValue="5" ShowSpinButtons="True" DataType="System.Int32">
                        <NegativeStyle Resize="None" />
                        <NumberFormat DecimalDigits="0" ZeroPattern="n" />
                        <EmptyMessageStyle Resize="None" />
                        <ReadOnlyStyle Resize="None" />
                        <FocusedStyle Resize="None" />
                        <DisabledStyle Resize="None" />
                        <InvalidStyle Resize="None" />
                        <HoveredStyle Resize="None" />
                        <EnabledStyle Resize="None" />
                    </telerik:RadNumericTextBox>
                    <telerik:RadLabel ID="lblInfoMaxOpenedStorages" Text="storages(Default=20)" runat="server" />
                    <br />
                    <telerik:RadCheckBox ID="cbArchiveOnlyFolder" runat="server" Text="Archive only Folder">
                    </telerik:RadCheckBox>
                    <telerik:RadTextBox ID="tbArchiveOnlyFolder" runat="server" />
                    <!-- Buttons "Reset"LastDate" For all users" and "Set "Last Date" for user"-->
                </div>
            </div>
            <br />


            <!--Ignore Folders panel or box-->
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadCheckBox ID="cbIgnoreDeleted" runat="server" Text="Deleted Items">
                    </telerik:RadCheckBox>
                    <telerik:RadCheckBox ID="cbArchiveRecoverableItems" runat="server" Text="Archive Recoverable Items">
                    </telerik:RadCheckBox>
                    <br />
                    <telerik:RadCheckBox ID="cbIgnoreIncoming" runat="server" Text="Incoming Folder">
                    </telerik:RadCheckBox>
                    <telerik:RadCheckBox ID="cbIncomingArchiveSubfolders" runat="server" Text="Archive subfolders">
                    </telerik:RadCheckBox>
                    <br />
                    <telerik:RadCheckBox ID="cbIgnoreSend" runat="server" Text="Send Items">
                    </telerik:RadCheckBox>
                    <telerik:RadCheckBox ID="cbSentArchiveSubfolders" runat="server" Text="Archive subfolders">
                    </telerik:RadCheckBox>
                    <br />

                    <telerik:RadCheckBox ID="cbIgnoreJunk" runat="server" Text="JunkItems">
                    </telerik:RadCheckBox>
                    <br />
                    <telerik:RadCheckBox ID="cbIgnoreDraft" runat="server" Text="Draft Items">
                    </telerik:RadCheckBox>
                    <br />


                    <br />
                    <telerik:RadCheckBox ID="cbIgnorePersonal" runat="server" Text="Personal Folder:">
                    </telerik:RadCheckBox>
                    <telerik:RadTextBox ID="tbIgnorePersonalFolder" runat="server" />

                    <br />
                    <telerik:RadCheckBox ID="cbCreatePersonalFolder" runat="server" Text="Create">
                    </telerik:RadCheckBox>
                    <telerik:RadCheckBox ID="cbMarkPersionalItems" runat="server" Text="Mark">
                    </telerik:RadCheckBox>

                    <telerik:RadLabel ID="lblPrio" Text="Prio:" runat="server" />
                    <telerik:RadComboBox ID="cbMarkPrio" runat="server" Culture="de-DE">
                        <Items>
                            <telerik:RadComboBoxItem runat="server" Text="LOW" Value="LOW" />
                            <telerik:RadComboBoxItem runat="server" Text="NORMAL" Value="NORMAL" />
                            <telerik:RadComboBoxItem runat="server" Text="HIGH" Value="HIGH" />
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <telerik:RadLabel ID="lblPrivateHeader" Text="Private message header: CI-Archive-Private-" runat="server" />
                    <telerik:RadNumericTextBox ID="tbPrivateHeader" runat="server" Culture="de-DE" DbValueFactor="1" LabelWidth="64px" Value="600" Width="160px">
                    </telerik:RadNumericTextBox>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadCheckBox ID="cbArchiveUnread" runat="server" Text="Archive unread Messages">
                    </telerik:RadCheckBox>

                    <br />
                    <telerik:RadCheckBox ID="cbArchiveNewerThan" runat="server" Text="newer than:">
                    </telerik:RadCheckBox>
                    <telerik:RadDatePicker ID="ccArchiveNewerRhan" runat="server" SelectedDate="2015-03-28">
                        <Calendar Culture="de-DE" EnableWeekends="True" FastNavigationNextText="&amp;lt;&amp;lt;" UseColumnHeadersAsSelectors="False" UseRowHeadersAsSelectors="False" runat="server">
                        </Calendar>
                        <DateInput DateFormat="dd.MM.yyyy" DisplayDateFormat="dd.MM.yyyy" DisplayText="28.03.2015" LabelWidth="40%" SelectedDate="2015-03-28" runat="server">
                            <EmptyMessageStyle Resize="None" />
                            <ReadOnlyStyle Resize="None" />
                            <FocusedStyle Resize="None" />
                            <DisabledStyle Resize="None" />
                            <InvalidStyle Resize="None" />
                            <HoveredStyle Resize="None" />
                            <EnabledStyle Resize="None" />
                        </DateInput>
                        <DatePopupButton />
                    </telerik:RadDatePicker>
                    <br />
                    <telerik:RadCheckBox ID="cbArchiveOlderThan" runat="server" Text="older than:">
                    </telerik:RadCheckBox>
                    <telerik:RadDatePicker ID="ccArchiveOlderThan" runat="server" SelectedDate="2015-03-28">
                        <Calendar Culture="de-DE" EnableWeekends="True" FastNavigationNextText="&amp;lt;&amp;lt;" UseColumnHeadersAsSelectors="False" UseRowHeadersAsSelectors="False" runat="server">
                        </Calendar>
                        <DateInput DateFormat="dd.MM.yyyy" DisplayDateFormat="dd.MM.yyyy" DisplayText="28.03.2015" LabelWidth="40%" SelectedDate="2015-03-28" runat="server">
                            <EmptyMessageStyle Resize="None" />
                            <ReadOnlyStyle Resize="None" />
                            <FocusedStyle Resize="None" />
                            <DisabledStyle Resize="None" />
                            <InvalidStyle Resize="None" />
                            <HoveredStyle Resize="None" />
                            <EnabledStyle Resize="None" />
                        </DateInput>
                        <DatePopupButton />
                    </telerik:RadDatePicker>
                    <br />

                    <telerik:RadCheckBox ID="cbFromLastArchiving" runat="server" Text="Start from last Archiving (automatic):">
                    </telerik:RadCheckBox>
                    <br />
                    <telerik:RadLabel Text="Delay:" ID="lblArchiveDelay" runat="server" />
                    <telerik:RadNumericTextBox ID="NumArchiveDelay" runat="server" Culture="de-DE" DbValueFactor="1" LabelWidth="64px" Value="0" Width="160px" MaxValue="365" MinValue="0" ShowSpinButtons="True" DataType="System.Int32">
                        <NegativeStyle Resize="None" />
                        <NumberFormat DecimalDigits="0" ZeroPattern="n" />
                        <EmptyMessageStyle Resize="None" />
                        <ReadOnlyStyle Resize="None" />
                        <FocusedStyle Resize="None" />
                        <DisabledStyle Resize="None" />
                        <InvalidStyle Resize="None" />
                        <HoveredStyle Resize="None" />
                        <EnabledStyle Resize="None" />
                    </telerik:RadNumericTextBox>
                    <telerik:RadLabel ID="lblInfoArchiveDelay" Text="days (Default=0)" runat="server" />
                    <br />
                </div>
            </div>
            <br />

        </asp:Panel>

        <br />
        <asp:Panel ID="pnlArchiveExtend" runat="server">
            <h1>
                <telerik:RadLabel ID="pnlHeaderArchiveExt" Text="Archive - Extend" runat="server" />
            </h1>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadCheckBox ID="cbAddNewMailboxAuto" runat="server" Text="Add new mailboxes automatically, created equal-newer than:"></telerik:RadCheckBox>
                    <telerik:RadDatePicker ID="ccAddNewMaiboxNewer" runat="server" FocusedDate="2015-03-28" MaxDate="9998-12-31" MinDate="0001-02-01" SelectedDate="2015-03-28">
                        <Calendar Culture="de-DE" EnableWeekends="True" FastNavigationNextText="&amp;lt;&amp;lt;" UseColumnHeadersAsSelectors="False" UseRowHeadersAsSelectors="False" runat="server">
                        </Calendar>
                        <DateInput DateFormat="dd.MM.yyyy" DisplayDateFormat="dd.MM.yyyy" DisplayText="28.03.2015" LabelWidth="40%" SelectedDate="2015-03-28" runat="server">
                            <EmptyMessageStyle Resize="None" />
                            <ReadOnlyStyle Resize="None" />
                            <FocusedStyle Resize="None" />
                            <DisabledStyle Resize="None" />
                            <InvalidStyle Resize="None" />
                            <HoveredStyle Resize="None" />
                            <EnabledStyle Resize="None" />
                        </DateInput>
                        <DatePopupButton />
                    </telerik:RadDatePicker>
                    <telerik:RadLabel ID="lblGroupADFilter1" Text="Group 1:" runat="server" />
                    <telerik:RadTextBox ID="tbGroupADFilter1" runat="server" Height="22px" />
                    <br />
                    <telerik:RadRadioButton ID="rbAddNewMailboxActive" runat="server" Text="Active" Style="top: 0px; left: 2px"></telerik:RadRadioButton>
                    <telerik:RadLabel ID="lblFilter1" runat="server" Text="Filter1:" />
                    <telerik:RadTextBox ID="tbFilter1" runat="server" />
                    <telerik:RadCheckBox ID="cbAllowArchiving" runat="server" Text="AllowArchiving"></telerik:RadCheckBox>
                    <telerik:RadLabel ID="lblGroupADFilter2" runat="server" Text="Group 2:" />
                    <telerik:RadTextBox ID="tbGroupADFilter2" runat="server" />
                    <br />
                    <telerik:RadRadioButton ID="rbAddNewMailboxInactive" runat="server" Text="Inactive"></telerik:RadRadioButton>
                    <telerik:RadLabel ID="lblFilter2" runat="server" Text="Filter2:" />
                    <telerik:RadTextBox ID="tbFilter2" runat="server" />
                    <telerik:RadCheckBox ID="cbAllowRestore" runat="server" Text="Allow Restore"></telerik:RadCheckBox>
                    <telerik:RadLabel ID="lblGroupADFilter3" runat="server" Text="Group 3:" />
                    <telerik:RadTextBox ID="tbGroupADFilter3" runat="server" />
                    <br />
                    <telerik:RadRadioButton ID="rbAddNewMailboxIgnore" runat="server" Text="Ignore"></telerik:RadRadioButton>
                    <telerik:RadLabel ID="lblFilter3" runat="server" Text="Filter3:" />
                    <telerik:RadTextBox ID="tbFilter3" runat="server" />
                    <telerik:RadCheckBox ID="cbAllowOfflineStorages" runat="server" Text="Allow Offline Storages"></telerik:RadCheckBox>
                    <telerik:RadLabel ID="lblAccount" runat="server" Text="<Account>, $OUb/c/e/x=<OU>" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadRadioButton ID="rbDelNever" runat="server" Text="never"></telerik:RadRadioButton>
                    <telerik:RadCheckBox ID="cbCloseAutomatic" runat="server" Text="close by automatic"></telerik:RadCheckBox>
                    <telerik:RadCheckBox ID="cbArchiveReports" runat="server" Text="Archive Reports"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadRadioButton ID="rbDelAfterArchive" runat="server" Text="after archiving"></telerik:RadRadioButton>
                    <telerik:RadCheckBox ID="cbMoveAutomatic" runat="server" Text="move by automatic"></telerik:RadCheckBox>
                    <telerik:RadCheckBox ID="cbArchiveAppointments" runat="server" Text="Archive Appoinments"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadRadioButton ID="rbDelOlderThanDays" runat="server" Text="older than x days"></telerik:RadRadioButton>
                    <telerik:RadTextBox ID="tbDelOlderDays" runat="server" />
                    <telerik:RadCheckBox ID="cbArchiveContacts" runat="server" Text="Archive Contacts"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadRadioButton ID="rbDelOlderThan" runat="server" Text="older than:"></telerik:RadRadioButton>
                    <telerik:RadDatePicker ID="ccDelOlderThan" runat="server" FocusedDate="2015-03-28" MaxDate="9998-12-31" MinDate="0001-02-01" SelectedDate="2015-03-28">
                        <Calendar Culture="de-DE" EnableWeekends="True" FastNavigationNextText="&amp;lt;&amp;lt;" UseColumnHeadersAsSelectors="False" UseRowHeadersAsSelectors="False" runat="server">
                        </Calendar>
                        <DateInput DateFormat="dd.MM.yyyy" DisplayDateFormat="dd.MM.yyyy" DisplayText="28.03.2015" LabelWidth="40%" SelectedDate="2015-03-28" runat="server">
                            <EmptyMessageStyle Resize="None" />
                            <ReadOnlyStyle Resize="None" />
                            <FocusedStyle Resize="None" />
                            <DisabledStyle Resize="None" />
                            <InvalidStyle Resize="None" />
                            <HoveredStyle Resize="None" />
                            <EnabledStyle Resize="None" />
                        </DateInput>
                        <DatePopupButton />
                    </telerik:RadDatePicker>
                    <telerik:RadCheckBox ID="cbArchiveTasks" runat="server" Text="Archive Tasks"></telerik:RadCheckBox>
                    <br />

                    <telerik:RadCheckBox ID="cbArchiveJournal" runat="server" Text="Archive Journal"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadLabel ID="lblDelFailedAfterDays" runat="server" Text="Delete in failed messages after:" />
                    <telerik:RadNumericTextBox ID="udDelFailedAfterDays" runat="server" MaxValue="100" MinValue="0" ShowSpinButtons="True" Value="0" DataType="System.Int32">
                        <NegativeStyle Resize="None" />
                        <NumberFormat DecimalDigits="0" ZeroPattern="n" />
                        <EmptyMessageStyle Resize="None" />
                        <ReadOnlyStyle Resize="None" />
                        <FocusedStyle Resize="None" />
                        <DisabledStyle Resize="None" />
                        <InvalidStyle Resize="None" />
                        <HoveredStyle Resize="None" />
                        <EnabledStyle Resize="None" />
                    </telerik:RadNumericTextBox>
                    <telerik:RadLabel ID="lblInfoDelFailedAfterDays" Text="days" runat="server" />
                    Days
                </div>
            </div>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadCheckBox ID="cbOutlookIntegratedActivate" runat="server" Text="Outlook/OWA integration"></telerik:RadCheckBox>
                    <telerik:RadLabel ID="lblOutlookIntegrationFolder" runat="server" Text="Folder:" />
                    <telerik:RadTextBox ID="tbOutlookIntegrationFolder" runat="server" />
                </div>
            </div>
        </asp:Panel>

        <asp:Panel ID="pnlJournal" runat="server">
            <h1>
                <telerik:RadLabel ID="pnlHeaderJournal" Text="Journal" runat="server" />
            </h1>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadCheckBox ID="cbJournalStructured" runat="server" Text="Journal with structure (recommended)" Style="top: 0px; left: 2px"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadLabel ID="lblDefaultFilter" runat="server" Text="Default Filter1:" />
                    <telerik:RadTextBox ID="tbDefaultFilter" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblDefaultInbox" runat="server" Text="Default User Inbox:" />
                    <telerik:RadTextBox ID="tbDefaultInbox" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblDefaultSentItems" runat="server" Text="Default User Sent Items" />
                    <telerik:RadTextBox ID="tbDefaultSentItems" runat="server" />
                    <br />
                    <telerik:RadCheckBox ID="cbJournalDeleteNonMailClass" runat="server" Text="Delete from Journal all non Mail-Classes" Style="top: 0px; left: 2px"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadCheckBox ID="cbJournalIgnoreInternalMails" runat="server" Text="Ignore Internal Mails" Style="top: 0px; left: 2px"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadLabel ID="lblInternalDomains" runat="server" Text="Internal domains" />
                    <br />
                    <telerik:RadTextBox ID="tbInternalDomains" runat="server" LabelWidth="64px" Resize="None" Width="294px" Height="192px" Rows="10" TextMode="MultiLine"/>
                </div>
            </div>
        </asp:Panel>

        <asp:Panel ID="pnlOffice365" runat="server">
            <h1>
                <telerik:RadLabel ID="pnlHeaderoffice365" Text="Office 365/POP/IMAP" runat="server" />
            </h1>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadLabel ID="lblCloudServer" runat="server" Text="Cloud server/Server" />
                    <telerik:RadTextBox ID="tbCloudServer" runat="server" />
                    <br />
                    <telerik:RadCheckBox ID="cbFBACloud" runat="server" Text="FBA"></telerik:RadCheckBox>
                    <telerik:RadCheckBox ID="cbSSLCloud" runat="server" Text="SSL"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadLabel ID="lblInfoCloudServerOutlook" runat="server" Text="Sample:imap-mail.outlook.com" />
                    <br />
                    <telerik:RadLabel ID="lblInfoCloudserverGMail" runat="server" Text="Sample:imap.gmail.com" />
                    <br />
                    <telerik:RadLabel ID="lblCloudLogic" runat="server" Text="E-Mail-Logic" />
                    <telerik:RadTextBox ID="tbCloudLogic" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblInfoCloudLogicAccount" runat="server" Text="Sample:@@sAMAccountName@yourcompany.microsoft.com" />
                    <br />
                    <telerik:RadLabel ID="lblInfoCloudLogicUser" runat="server" Text="Sample:@@userPrincipalName" />
                    <br />
                    <telerik:RadLabel ID="lblCloudUser" runat="server" Text="User:" />
                    <telerik:RadTextBox ID="tbCloudUser" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblCloudPassword" runat="server" Text="Password:" />
                    <telerik:RadTextBox ID="tbCloudPassword" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblTimeoutCloud" runat="server" Text="Timeout:" />
                    <telerik:RadNumericTextBox ID="numTimeoutCloud" runat="server" Culture="de-DE" DbValueFactor="1" LabelWidth="64px" Value="600" Width="160px" MaxValue="1000" MinValue="30" ShowSpinButtons="True" DataType="System.Int32">
                        <NegativeStyle Resize="None"></NegativeStyle>

                        <NumberFormat ZeroPattern="n" DecimalDigits="0"></NumberFormat>

                        <EmptyMessageStyle Resize="None"></EmptyMessageStyle>

                        <ReadOnlyStyle Resize="None"></ReadOnlyStyle>

                        <FocusedStyle Resize="None"></FocusedStyle>

                        <DisabledStyle Resize="None"></DisabledStyle>

                        <InvalidStyle Resize="None"></InvalidStyle>

                        <HoveredStyle Resize="None"></HoveredStyle>

                        <EnabledStyle Resize="None"></EnabledStyle>
                    </telerik:RadNumericTextBox>
                    <telerik:RadLabel ID="lblInfo1TimeoutCloud" runat="server" Text="seconds (Default = 600)" />
                </div>
            </div>
        </asp:Panel>

        <asp:Panel ID="pnlRules" runat="server">
            <h1>
                <telerik:RadLabel ID="pnlHeaderRules" Text="Rules" runat="server" />
            </h1>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadLabel ID="lblRuleInfo1" runat="server" Text="This rules extend functions from Exchange Standard version up to enterprise" />
                    <br />
                    <telerik:RadLabel ID="lblRuleInfo2" runat="server" Text="This rules not work in Exchange 2003!" />
                    <br />
                    <telerik:RadLabel ID="lblRuleInfo3" runat="server" Text="Use this rulework for handle private items." />
                    <br />
                    <telerik:RadLabel ID="lblRuleInfo4" runat="server" Text="A personal folder must be configured." />
                </div>
            </div>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px;">
                    <br />
                    <br />
                    <!--insert GridView Control here-->
                </div>
            </div>
        </asp:Panel>

        <asp:Panel ID="pnlAdministrator" runat="server">
            <h1>
                <telerik:RadLabel ID="pnlHeaderAdministrator" Text="Administrator" runat="server" />
            </h1>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadLabel ID="lblAdminPass" runat="server" Text="Admin Password:" />
                    <telerik:RadTextBox ID="txtAdminPass" runat="server" />
                    <telerik:RadCheckBox ID="cbShowChars" runat="server" Text="Show Chars"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadLabel ID="lblName" runat="server" Text="Name For Help:" />
                    <telerik:RadTextBox ID="txtName" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblEMail" runat="server" Text="EMail for Help" />
                    <telerik:RadTextBox ID="txtEmail" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblMasterPass" runat="server" Text="Master Password" />
                    <telerik:RadTextBox ID="tbMasterPass" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblInitialPass" runat="server" Text="Initial Password" />
                    <telerik:RadTextBox ID="tbInitialPass" runat="server" />
                    <br />
                    <telerik:RadCheckBox ID="cbResyncFolders" runat="server" Text="Resync Folders"></telerik:RadCheckBox>
                    <telerik:RadCheckBox ID="chkAllowDelegateOpenStore" runat="server" Text="Allow Delegate open store (Client)"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadCheckBox ID="cbSimulateDelete" runat="server" Text="Simulate delete on manual archive"></telerik:RadCheckBox>
                    <telerik:RadCheckBox ID="chkAllowFullAccessOpenStore" runat="server" Text="Show FullAccess Storages (Server)"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadLabel ID="lblCompactDays" runat="server" Text="Compact storages every:" />

                    <telerik:RadNumericTextBox ID="NumCompactDays" runat="server" Culture="de-DE" DbValueFactor="1" LabelWidth="64px" Value="0" Width="160px" MaxValue="1000" MinValue="0" ShowSpinButtons="True" DataType="System.Int32">
                        <NegativeStyle Resize="None" />
                        <NumberFormat DecimalDigits="0" ZeroPattern="n" />
                        <EmptyMessageStyle Resize="None" />
                        <ReadOnlyStyle Resize="None" />
                        <FocusedStyle Resize="None" />
                        <DisabledStyle Resize="None" />
                        <InvalidStyle Resize="None" />
                        <HoveredStyle Resize="None" />
                        <EnabledStyle Resize="None" />
                    </telerik:RadNumericTextBox>
                    <telerik:RadLabel ID="lblInfoCompactDays" runat="server" Text="days (0 - disabled)" />
                    <br />
                    <telerik:RadCheckBox ID="chkAutoSyncAd2Contact" runat="server" Text="Sync AD -> contact automatically:"></telerik:RadCheckBox>
                    <telerik:RadLabel ID="lblLastSync" runat="server" Text="Last sync:" />


                    <telerik:RadDatePicker ID="RadDatePicker1" runat="server" FocusedDate="2015-03-28" MaxDate="9998-12-31" MinDate="0001-02-01" SelectedDate="2015-03-28">
                        <Calendar Culture="de-DE" EnableWeekends="True" FastNavigationNextText="&amp;lt;&amp;lt;" UseColumnHeadersAsSelectors="False" UseRowHeadersAsSelectors="False" runat="server">
                        </Calendar>
                        <DateInput DateFormat="dd.MM.yyyy" DisplayDateFormat="dd.MM.yyyy" DisplayText="28.03.2015" LabelWidth="40%" SelectedDate="2015-03-28" runat="server">
                            <EmptyMessageStyle Resize="None" />
                            <ReadOnlyStyle Resize="None" />
                            <FocusedStyle Resize="None" />
                            <DisabledStyle Resize="None" />
                            <InvalidStyle Resize="None" />
                            <HoveredStyle Resize="None" />
                            <EnabledStyle Resize="None" />
                        </DateInput>
                        <DatePopupButton />
                    </telerik:RadDatePicker>
                    <br />
                    <telerik:RadLabel ID="lblIndexDbFormat" runat="server" />
                    Index DB Format
                    
                    <telerik:RadComboBox ID="cboIndexDbFormat" runat="server" Culture="de-DE">
                        <Items>
                            <telerik:RadComboBoxItem runat="server" />
                            <telerik:RadComboBoxItem runat="server" />
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <telerik:RadLabel ID="lblExtensionAttribut" runat="server" Text="ExtensionAttribut" />
                    telerik:radlabel>
        <telerik:RadTextBox ID="tbextension" runat="server" />
                    <br />
                </div>
            </div>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">

                    <telerik:RadLabel ID="gbAnotherDomain" runat="server" Text="Exchange is in another domain" />

                    <telerik:RadLabel ID="lblOtherExchUser" runat="server" Text="User:" />
                    telerik:radlabel>
        <telerik:RadTextBox ID="tbOtherExchUser" runat="server" />
                    <telerik:RadCheckBox ID="cbAutodiscover" runat="server" Text="Autodiscover"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadLabel ID="lblOtherExchPass" runat="server" Text="Password:" />
                    telerik:radlabel>
        <telerik:RadTextBox ID="tbOtherExchPass" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblOtherExchDomain" runat="server" Text="Domain(FQDN):" />
                    telerik:radlabel>
        <telerik:RadTextBox ID="tbOtherExchDomain" runat="server" />
                </div>
            </div>

            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadLabel ID="gbOptimalLoad" runat="server" Text="Optimal load storages" />
                    <telerik:RadButton ID="rbOpenStorageNormal" runat="server" ToggleType="Radio" ButtonType="ToggleButton" Checked="true"
                        Text="Normal" GroupName="StandardButton" AutoPostBack="false">
                    </telerik:RadButton>
                    <br />
                    <telerik:RadButton ID="rbOpenStorageAsync" runat="server" ToggleType="Radio"
                        Text="Asynchrone" GroupName="StandardButton" ButtonType="ToggleButton" AutoPostBack="false">
                    </telerik:RadButton>
                    <br />
                    <telerik:RadButton ID="rbOpenStorageOnDemand" runat="server" ToggleType="Radio" GroupName="StandardButton"
                        Text="On Demand" ButtonType="ToggleButton" AutoPostBack="false">
                    </telerik:RadButton>
                </div>
            </div>
        </asp:Panel>

        <asp:Panel ID="lblParameter" runat="server">
            <h1>
                <telerik:RadLabel ID="pnlHeaderParameters" Text="Parameter" runat="server" />
            </h1>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadLabel ID="lblParamInfo1" runat="server" Text="See user manual, chapter PARAMETERS AND FUNCTIONS, for a list of all possible parameters." />
                    <br />
                    <telerik:RadLabel ID="lblParamInfo2" runat="server" Text="Separate parameters by semikolon - ;" />
                    <br />
                    <telerik:RadLabel ID="lblParamInfo3" runat="server" Text="Here defined parameters have higher level, then command-line parameters" />
                    <br />
                    <telerik:RadLabel ID="lblParamInfo4" runat="server" Text="Command-Line parameters for Admin-View: " />
                    <br />
                    <telerik:RadTextBox ID="tbClpAdmin" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblParamInfo5" runat="server" Text="Sample: /ldap:OU=myUsers,DC=cisolution,DC=local;/viewsize:300" />
                    <br />
                    <telerik:RadLabel ID="lblParamInfo6" runat="server" Text="Command-Line parameters for Userdialog-View:  (if selected at login-form or startet with /userdialog parameter)" />
                    <br />
                    <telerik:RadTextBox ID="tbClpUser" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblParamInfo7" runat="server" Text="Sample: /ldap:OU=myUsers,DC=cisolution,DC=local;/viewsize:300" />
                </div>
            </div>
        </asp:Panel>

        <asp:Panel ID="lblUsers" runat="server">
            <h1>
                <telerik:RadLabel ID="pnlHeaderUsers" Text="Users" runat="server" />
            </h1>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <br />
                    <telerik:RadLabel ID="lblAlias" runat="server" Text="User-Alias" />
                    <telerik:RadComboBox ID="cboAlias" runat="server"></telerik:RadComboBox>
                    <br />
                    <telerik:RadListView ID="lstUsers" runat="server"></telerik:RadListView>
                    <br />
                    <!--Buttons Standard, New, Edit, Delete not yet implemented-->
                    <!--customization of the Listview necessary-->
                </div>
            </div>
        </asp:Panel>

        <asp:Panel ID="pnlReport" runat="server">
            <h1>
                <telerik:RadLabel ID="pnlHeaderReport" Text="Report" runat="server" />
            </h1>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadCheckBox ID="chkSendLogsbyMail" runat="server" Text="Send Reports by E-mail"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadCheckBox ID="cbReportOnlyIfErrors" runat="server" Text="Report compact (only errors reported)"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadCheckBox ID="cbAttachLogs" runat="server" Text="Attach log files"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadLabel ID="lbleMailSrv" runat="server" Text="SMTP Server or IP:" />
                    <telerik:RadTextBox ID="tbeMailSrv" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lbleMailSrvPort" runat="server" Text="SMTP Server port" />
                    <telerik:RadTextBox ID="tbeMailSrvPort" runat="server" />
                    <telerik:RadCheckBox ID="cbMailUseSSL" runat="server" Text="SSL"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadLabel ID="lbleMailUsr" runat="server" Text="User:" />
                    <telerik:RadTextBox ID="tbeMailUsr" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lbleMailPass" runat="server" Text="Password:" />
                    <telerik:RadTextBox ID="tbeMailPass" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lbleMailFrom" runat="server" Text="From:" />
                    <telerik:RadTextBox ID="tbeMailFrom" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblInfoMailFrom" runat="server" Text="Example: Administrator@Yourcompany.com" />
                    <br />
                    <telerik:RadLabel ID="lbleMailTo" runat="server" Text="To:" />
                    <telerik:RadTextBox ID="tbeMailTO" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblInfoeMailTo" runat="server" Text="Example: Administrator@Yourcompany.com" />
                    <br />
                    <telerik:RadLabel ID="lbleMailSubject" runat="server" Text="Subject:" />
                    <telerik:RadTextBox ID="tbeMailSubject" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblInfoeMailSubject" runat="server" Text="E-Mail Subject STARTS with this words." />
                    <br />
                    <!--Button "Send Test E-Mail" still missing-->
                </div>
            </div>
        </asp:Panel>

        <asp:Panel ID="pnlLogin4eyes" runat="server">
            <h1>
                <telerik:RadLabel ID="pnlHeader4Eyes" Text="4-eyes-logon" runat="server" />
            </h1>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadCheckBox ID="cbActivate4Eyes" runat="server" Text="Activate 4-eyes"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadListView ID="RadListView1" runat="server"></telerik:RadListView>
                    <!--Buttons  New, Edit, Delete not yet implemented-->
                    <!--customization of the Listview necessary-->
                </div>
            </div>
        </asp:Panel>

        <asp:Panel ID="pnlRegistration" runat="server">
            <h1>
                <telerik:RadLabel ID="pnlHeaderRegistration" Text="Registration" runat="server" />
            </h1>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">

                    <telerik:RadLabel ID="lblTextBoxName" runat="server" Text="Username:" />
                    <telerik:RadTextBox ID="TextBoxName" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblTextBoxUsers" runat="server" Text="User Quantity:" />
                    <telerik:RadTextBox ID="TextBoxUsers" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblDateTimePicker1" runat="server" Text="Date:" />
                    <telerik:RadDatePicker ID="DateTimePicker1" runat="server" FocusedDate="2015-03-28" MaxDate="9998-12-31" MinDate="0001-02-01" SelectedDate="2015-03-28">
                        <Calendar Culture="de-DE" EnableWeekends="True" FastNavigationNextText="&amp;lt;&amp;lt;" UseColumnHeadersAsSelectors="False" UseRowHeadersAsSelectors="False" runat="server">
                        </Calendar>
                        <DateInput DateFormat="dd.MM.yyyy" DisplayDateFormat="dd.MM.yyyy" DisplayText="28.03.2015" LabelWidth="40%" SelectedDate="2015-03-28" runat="server">
                            <EmptyMessageStyle Resize="None" />
                            <ReadOnlyStyle Resize="None" />
                            <FocusedStyle Resize="None" />
                            <DisabledStyle Resize="None" />
                            <InvalidStyle Resize="None" />
                            <HoveredStyle Resize="None" />
                            <EnabledStyle Resize="None" />
                        </DateInput>
                        <DatePopupButton />
                    </telerik:RadDatePicker>
                    <br />

                    <telerik:RadLabel ID="lblNumericUpDown1" runat="server" Text="Maintenance:" />
                    <telerik:RadNumericTextBox ID="NumericUpDown1" runat="server" Culture="de-DE" DbValueFactor="1" LabelWidth="64px" Value="20" Width="160px" MaxValue="9" MinValue="1" ShowSpinButtons="True" DataType="System.Int32">
                        <NegativeStyle Resize="None" />
                        <NumberFormat DecimalDigits="0" ZeroPattern="n" />
                        <EmptyMessageStyle Resize="None" />
                        <ReadOnlyStyle Resize="None" />
                        <FocusedStyle Resize="None" />
                        <DisabledStyle Resize="None" />
                        <InvalidStyle Resize="None" />
                        <HoveredStyle Resize="None" />
                        <EnabledStyle Resize="None" />
                    </telerik:RadNumericTextBox>
                    <br />

                    <telerik:RadLabel ID="lblTextBoxSerial" runat="server" Text="Serial:" />
                    <telerik:RadTextBox ID="TextBoxSerial" runat="server" />
                    <br />
                    <telerik:RadCheckBox ID="cbIsProviderLicense" runat="server" Text="Provider License">
                    </telerik:RadCheckBox>
                    <br />
                    <telerik:RadLabel ID="lblProviderLicense" runat="server" Text="State of Provider-Licence is only set and changeable by Provider-Tool." />
                </div>
            </div>
            <div class="row">
                <div class="col-md-9" style="border: 1px solid #9b9b9b; border-radius: 4px; margin: 0 15px 15px 15px; padding: 15px;">
                    <telerik:RadLabel ID="lblCustomerID" runat="server" Text="Customer-ID:" />
                    <telerik:RadTextBox ID="tbCustomerID" runat="server" />
                    <br />
                    <telerik:RadLabel ID="lblWebCode" runat="server" Text="WebCode:" />
                    <telerik:RadTextBox ID="tbWebCode" runat="server" />
                    <br />
                    <asp:Button ID="btConnectPortal" runat="server" Text="Connect" />
                    <asp:Button ID="btChangePortal" runat="server" Text="Change" />

                    <br />
                    <telerik:RadCheckBox ID="cbIsCIPVerified" runat="server" Text="Verified at CI-Cloud-Portal"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadCheckBox ID="cbAllInsideCICloudPortal" runat="server" Text="All Storages inside CI-Cloud-Portal"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadCheckBox ID="cbUseOauth" runat="server" Text="Use Office365 authentication (Oauth)"></telerik:RadCheckBox>
                    <br />
                    <telerik:RadCheckBox ID="cbLicenceFromCICloudPortal" runat="server" Text="Get Licence over CI-Cloud-Portal"></telerik:RadCheckBox>
                    <br />
                </div>
            </div>
        </asp:Panel>

        <br />
        <br />

        <telerik:RadButton ID="bcCmdlet" runat="server" Text="Exchange CMDLet's"></telerik:RadButton>
        <br /><br />
        <telerik:RadLabel ID="lblGobalInfo" runat="server" Text="These Settings are for NEW Users. New Users also created with this setting. If you will assign these Settings to existing users, do this in User-Administration" />
        <br />
        <telerik:RadLabel ID="lblFBA" Text="FBA = Form based authentication" runat="server" />
        <br />
        <telerik:RadLabel ID="lblSSL" Text="SSL = Secure Sockets Layer (https)" runat="server" />
        <br />
        <telerik:RadLabel ID="lblInputRequired" Text="Input required" runat="server" />
        <br />
    </div>
</asp:Content>
