﻿<%@ Page Language="vb" AutoEventWireup="true" MasterPageFile="~/Shared/MasterPageLayout.master" CodeBehind="default.aspx.vb" Inherits="CI.Archive.DefaultPage" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="Sidebar" runat="Server">
    <telerik:RadAjaxManager runat="server" ID="RadAjaxManager1" ClientEvents-OnRequestStart="RowClick">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="DetailsPanel" LoadingPanelID="RadAjaxLoadingPanel1" UpdatePanelHeight="100%" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RadTreeView1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" LoadingPanelID="RadAjaxLoadingPanel1" UpdatePanelHeight="100%" />
                    <telerik:AjaxUpdatedControl ControlID="RadToolBar1" UpdatePanelHeight="100%" />
                    <telerik:AjaxUpdatedControl ControlID="DetailsPanel" UpdatePanelHeight="100%" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel runat="server" ID="RadAjaxLoadingPanel1" IsSticky="false">
    </telerik:RadAjaxLoadingPanel>
    <telerik:RadTreeView runat="Server" ID="RadTreeView1" OnNodeClick="RadTreeView1_NodeClick"
        EnableViewState="true" resolvedrendermode="Classic" CheckBoxes="True" CheckChildNodes="True"
        TriStateCheckBoxes="True" OnClientDoubleClick="OnClientDoubleClickHandler" OnClientNodeExpanding="toggleHandler"
        OnClientNodeCollapsing="toggleHandler" OnContextMenuItemClick="RadTreeView1_ContextMenuItemClick">
        <ContextMenus>
            <telerik:RadTreeViewContextMenu ID="TreeViewContextMenu" runat="server">
                <Items>
                    <telerik:RadMenuItem Value="ShowFolderOverAllYears" Text="Show this Folder over all years" ImageUrl="images/folders_16.png">
                    </telerik:RadMenuItem>
                </Items>
                <CollapseAnimation Type="none"></CollapseAnimation>
            </telerik:RadTreeViewContextMenu>
        </ContextMenus>
    </telerik:RadTreeView>
    <script type="text/javascript">
        // JS Code for handling double clicks and node expanding in TreeView
        var cancel = false;

        function toggleHandler(sender, eventArgs) {
            eventArgs.set_cancel(cancel);
            cancel = false;
        }

        function OnClientDoubleClickHandler(sender, eventArgs) {
            cancel = true;
        }
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="Content" runat="Server">
    <telerik:RadScriptBlock runat="server" ID="RadScriptBlock1">
        <script type="text/javascript">

            //var grid;
            //var ajaxManager;

            var isSearch = false;

            $(document).ready(function () {

                //grid = $find("<%=RadGrid1.ClientID %>");
                //ajaxManager = $find("<%=RadAjaxManager1.ClientID %>");

                //var val = grid.get_masterTableView();
                //if (val) {
                //    // get menu items to enable / disable
                //    var menu = $find('<= (Master.FindControl("RadMenu1")).ClientID %>');
                //    var menuItemOpenSave = menu.findItemByValue("mainopensave");
                //    var menuItemRestore = menu.findItemByValue("mainrestore");
                //
                //    // now disable / enable depending on selected item
                //    if (grid.get_masterTableView().get_selectedItems().length == 0) {
                //        menuItemOpenSave.disable();
                //        menuItemRestore.disable();
                //
                //    } else {
                //        menuItemOpenSave.enable();
                //        menuItemRestore.enable();
                //    }
                //}
            });

            function onButtonClicked(sender, args) {
                if (isSearch) return;

                var commandName = args.get_item().get_commandName();
                if (commandName == "showFilter") {
                    var tbButton = args.get_item();
                    var isChecked = tbButton.get_checked();

                    if (isChecked) {
                        $find('<%=RadGrid1.ClientID %>').get_masterTableView().showFilterItem();
                    } else {
                        $find('<%=RadGrid1.ClientID %>').get_masterTableView().hideFilterItem();
                    }
                }
                else if (commandName == "selectAll") {
                    var treeview = $find('<%=RadTreeView1.ClientID %>');
                    for (var i = 0; i < treeview.get_allNodes().length; i++) {
                        treeview.get_allNodes()[i].set_checked(true);
                    }
                }
                else if (commandName == "selectNone") {
                    var treeview = $find('<%=RadTreeView1.ClientID %>');
                    for (var i = 0; i < treeview.get_allNodes().length; i++) {
                        treeview.get_allNodes()[i].set_checked(false);
                    }
                }
                else if (commandName == "selectInvert") {
                    var treeview = $find('<%=RadTreeView1.ClientID %>');
                    for (var i = 0; i < treeview.get_allNodes().length; i++) {
                        if (treeview.get_allNodes()[i].get_level() > 0) {
                            treeview.get_allNodes()[i].set_checked(!treeview.get_allNodes()[i].get_checked());
                        }
                    }
                }
                else if (commandName == "doSearch") {
                    var searchTextBox = sender.findButtonByCommandName("searchText").findControl("RadTbSearchString");
                    // important(!): use 'searchTextBox.get_element().value' to get updated value. 'searchTextBox.get_value()' will return old value if control still has focus.
                    var searchForText = searchTextBox.get_element().value;
                    performSearch(searchForText);

                    // set cancel to prevent buttonclick (server side) to fire
                    //args.set_cancel(true);
                }
                else if (commandName == "switchHorizontal") {
                    //args.set_cancel(true);
                    document.getElementById("<%= btnSwitchHorizontal.ClientID %>").click();
                }
                else if (commandName == "switchVertical") {
                    //args.set_cancel(true);
                    document.getElementById("<%= btnSwitchVertical.ClientID %>").click();
                }

            } //end funciton

            function onSearchTextBoxKeyPress(sender, args) {
                if (args.get_keyCode() == 13) {
                    performSearch(sender.get_textBoxValue());
                    // Important(!) for loading panel to show in Chrome and FF
                    args.set_cancel(true);
                }
            }

            function performSearch(searchText) {
                var progressArea = $find("<%= SearchProgressArea.ClientID %>");

                if (searchText && searchText.trim().length > 0) {
                    //ajaxManager.ajaxRequest(searchText);

                    var loadingPanel = $find('<%= RadAjaxLoadingPanel1.ClientID %>');

                    var toolbar = $find("<%=RadToolBar1.ClientID %>");
                    var masterTable = $find("<%= RadGrid1.ClientID %>").get_masterTableView();
                    var $searchLabel = $('#<%= RadToolBar1.Items(6).FindControl("lblSearch").ClientID %>');
                    var $searchInfo = $('#<%= RadToolBar1.Items(6).FindControl("lblInformation").ClientID %>');
                    var $searchStop = $('#<%= RadToolBar1.Items(6).FindControl("lnkStop").ClientID %>');
                    var $searchInput = $('#<%= RadToolBar1.Items(3).FindControl("RadTbSearchString").ClientID %>');;
                    var $searchLoading = $('#searchLoading');

                    var $noSelectedLabel = $('#<%= lblNoMailSelected.ClientID %>');
                    var $detailsView = $('#<%= DetailsView1.ClientID %>');

                    loadingPanel.show("<%= RadPane2.ClientID %>");
                    loadingPanel.show("<%= RadPane3.ClientID %>");
                    $('.RadAjax .raTransp').css({ opacity: .3, filter: "alpha(opacity=30)" });
                    $('.raDiv').css('background', 'none');

                    var selectedItems = masterTable.get_selectedItems();
                    for (var i in selectedItems) {
                        masterTable.deselectItem(selectedItems[i].get_element());
                    }

                    masterTable.set_dataSource([]);
                    masterTable.dataBind();

                    isSearch = true;


                    $searchLabel.show();
                    $searchInfo.text("...");
                    $searchInput.prop('disabled', true);


                    $noSelectedLabel.show();
                    $detailsView.hide();

                    $('#<%= hdnSearch.ClientID %>').val(searchText);
                    $('#<%= btnSearch.ClientID %>').click();

                    $searchLoading.show();

                    var toolbarItems = toolbar.get_allItems();
                    toolbarItems[0].disable();
                    toolbarItems[1].disable();
                    toolbarItems[2].disable();
                    toolbarItems[3].disable();
                    toolbarItems[4].disable();
                    toolbarItems[5].disable();
                    toolbarItems[7].disable();
                    toolbarItems[8].disable();
                    toolbarItems[10].disable();

                    $searchStop.show();
                    $searchStop.click(function () {
                        $searchStop.hide();
                        $searchInfo.text("<%= CI.Archive.modBase.clr(CI.Archive.gSettings.UserLanguage).ReturnLngString(CI.Archive.clsLanguageStringContainer.LngString.SearchStopping)%>")

                        var progressArea = $find("<%= SearchProgressArea.ClientID %>");
                        progressArea.cancelRequest();

                        setTimeout(function () {
                            //progressArea.cancelClicked = false;
                            //progressArea._shouldUpdateClientState = true;
                            reloadAsGet(Date.now());
                        }, 1000);

                        //__doPostBack("<%= RadGrid1.ID %>", "RowClick;1");
                        //reloadAsGet();

                        //toolbarItems[0].enable();
                        //toolbarItems[1].enable();
                        //toolbarItems[2].enable();
                        //toolbarItems[3].enable();
                        //toolbarItems[4].enable();
                        //toolbarItems[5].enable();
                        //toolbarItems[7].enable();
                        //toolbarItems[8].enable();
                        //toolbarItems[10].enable();

                        //loadingPanel.hide("<%= RadPane2.ClientID %>");
                        //loadingPanel.hide("<%= RadPane3.ClientID %>");

                        return false;
                    });


                    var $data = $('#<%= RadGrid1.ClientID %>' + '_GridData');
                    var $pager = $('#<%= RadGrid1.ClientID %>' + '_ctl00_Pager');
                    var pagerHeight = $pager.outerHeight();
                    $pager.hide();
                    $data.outerHeight($data.outerHeight() + pagerHeight);
                }
            }

            function reloadAsGet(t) {
                var loc = window.location;
                var url = loc.protocol + '//' + loc.host + loc.pathname + "?_t=" + t;
                console.log(url);
                window.location = url;
            }

            function GridCreated(sender, args) {
                // set focus to grid for keyboard navigation
                sender.get_element().focus();
            }

            var text = null;
            var id = null;

            function onRowContextMenu(sender, args) {
                var contextMenu = $find("<%= RadContextMenu1.ClientID %>");
                text = args.getDataKeyValue("Subject");
                id = args.getDataKeyValue("Id");
                contextMenu.show(args.get_domEvent());
            }


            function searchProgressUpdating(source, eventArgs) {
                var progressData = eventArgs.get_progressData();
                var result = JSON.parse(progressData.PrimaryValue);

                if (!result)
                    return;

                var $searchInfo = $('#<%= RadToolBar1.Items(6).FindControl("lblInformation").ClientID %>');
                $searchInfo.text(result.message);

                if (result.items != 0 && result.items.length > 0) {
                    masterTable = $find("<%= RadGrid1.ClientID %>").get_masterTableView();
                    masterTable.set_dataSource(result.items);
                    masterTable.dataBind();
                    gotoBottom('<%= RadGrid1.ClientID %>_GridData');
                }
            }

            function gotoBottom(id) {
                var element = document.getElementById(id);
                element.scrollTop = element.scrollHeight - element.clientHeight;
            }

            function RowClick(sender, eventArgs) {
                //alert("test");
                //eventArgs.set_cancel(true);
                            

            }

        </script>
    </telerik:RadScriptBlock>
    <style>
        .spinner {
            display: inline-block;
            border-radius: 50%;
            width: 32px;
            height: 32px;
            overflow: hidden;
            vertical-align: middle;
        }

            .spinner div {
                display: block;
                width: 100%;
                height: 100%;
                background: url(<%= VirtualPathUtility.ToAbsolute("~/") %>images/loading.png) no-repeat center center;
                animation-name: spin;
                animation-duration: 1000ms;
                animation-iteration-count: infinite;
                animation-timing-function: linear;
            }

        @keyframes spin {
            from {
                transform: rotate(0deg);
            }

            to {
                transform: rotate(360deg);
            }
        }
    </style>
    <div style="display: none;">
        <asp:Button runat="server" ID="btnSwitchHorizontal"></asp:Button>
        <asp:Button runat="server" ID="btnSwitchVertical"></asp:Button>
        <asp:Button runat="server" ID="btnSearch"></asp:Button>
        <asp:HiddenField runat="server" ID="hdnSearch"></asp:HiddenField>
        <%--
    </div><div>
        --%>
        <telerik:RadProgressManager ID="RadProgressManager" runat="server" />
        <telerik:RadProgressArea runat="server" ID="SearchProgressArea" OnClientProgressUpdating="searchProgressUpdating" DisplayCancelButton="true" Visible="true">
        </telerik:RadProgressArea>
    </div>
    <telerik:RadSplitter runat="server" ID="RadSplitter1" Width="100%" BorderSize="0"
        BorderStyle="None" PanesBorderSize="0" Height="100%" Orientation="Horizontal">
        <telerik:RadPane runat="server" ID="RadPane1" Height="54px" EnableViewState="false"
            Scrollable="false">
            <telerik:RadToolBar runat="server" ID="RadToolBar1" OnClientButtonClicked="onButtonClicked" Height="100%"
                EnableViewState="False" SingleClick="none" CssClass="RadToolBar1">
                <Items>
                    <telerik:RadToolBarButton CommandName="showFilter" Text="Filter" Checked="False"
                        CheckOnClick="True" AllowSelfUnCheck="true" ImageUrl="~/images/mail_filter16.png">
                    </telerik:RadToolBarButton>
                    <telerik:RadToolBarButton IsSeparator="True" Text="Split2" Visible="true">
                    </telerik:RadToolBarButton>
                    <telerik:RadToolBarDropDown ImageUrl="~/images/checkbox16.png" Text="Select storage">
                        <Buttons>
                            <telerik:RadToolBarButton CommandName="selectAll" Text="Select all" ImageUrl="~/images/checkbox_selected16.png"
                                Value="TB 1" />
                            <telerik:RadToolBarButton CommandName="selectNone" Text="Select none" ImageUrl="~/images/checkbox_selected16.png"
                                Value="TB 2" />
                            <telerik:RadToolBarButton CommandName="selectInvert" Text="Invert" ImageUrl="~/images/checkbox_selected16.png"
                                Value="TB 3" />
                        </Buttons>
                    </telerik:RadToolBarDropDown>
                    <telerik:RadToolBarButton Value="searchTextBoxButton" Text="searchTextBoxButton"
                        CommandName="searchText">
                        <ItemTemplate>
                            <telerik:RadTextBox runat="server" ID="RadTbSearchString"
                                CssClass="inbox-search-textbox" Width="300px" ClientEvents-OnKeyPress="onSearchTextBoxKeyPress" />
                        </ItemTemplate>
                    </telerik:RadToolBarButton>
                    <telerik:RadToolBarButton ImageUrl="~/Images/magnifying_glass16.png" Value="search"
                        CommandName="doSearch" />
                    <telerik:RadToolBarButton IsSeparator="True" Text="Split3" />
                    <telerik:RadToolBarButton Text="toolbarInfoSection1" Value="toolbarInfoSection1">
                        <ItemTemplate>
                            <div class="spinner" id="searchLoading" style="display: none;">
                                <div></div>
                            </div>
                            <asp:Label runat="server" ID="lblSearch" Text="Search:" Style="display: none;" />
                            <asp:Label runat="server" ID="lblInformation" Text="" />
                            <telerik:RadLinkButton runat="server" ID="lnkStop" Style="display: none; vertical-align: middle;" Text="Stop"></telerik:RadLinkButton>
                        </ItemTemplate>
                    </telerik:RadToolBarButton>
                    <telerik:RadToolBarButton Value="switchVertical" ImageUrl="~/images/panel_v.png" CommandName="switchVertical" Visible="true">
                    </telerik:RadToolBarButton>
                    <telerik:RadToolBarButton Value="switchHorizontal" ImageUrl="~/images/panel_h.png" CommandName="switchHorizontal" Visible="false">
                    </telerik:RadToolBarButton>
                </Items>
            </telerik:RadToolBar>
        </telerik:RadPane>
        <telerik:RadSplitBar runat="server" CollapseMode="None" EnableResize="false"></telerik:RadSplitBar>
        <telerik:RadPane runat="server">
            <telerik:RadSplitter runat="server" ID="RadSplitter2" Width="100%" BorderSize="0"
                BorderStyle="None" PanesBorderSize="0" Height="100%" Orientation="Horizontal">

                <telerik:RadPane runat="server" ID="RadPane2">
                    <telerik:RadContextMenu runat="server" ID="RadContextMenu1" ItemClick="radContextMenu_ItemClick">
                        <Items>
                            <telerik:RadMenuItem Value="ctmopensave" Text="Open / Save" ImageUrl="~/Images/mail_out16.png" />
                            <telerik:RadMenuItem Value="ctmrestore" Text="Restore" ImageUrl="~/Images/server_mail_upload16.png" />
                        </Items>
                    </telerik:RadContextMenu>
                    <telerik:RadGrid runat="server" ID="RadGrid1" AutoGenerateColumns="False" Height="100%"
                        BorderWidth="0px" Style="outline: none" Width="100%" AllowSorting="True" ShowGroupPanel="True"
                        GroupPanelPosition="Top" AllowFilteringByColumn="True" MasterTableView-IsFilterItemExpanded="False"
                        AccessKey="v" EnableHeaderContextMenu="True" Culture="de-DE" AllowPaging="true" PageSize="50">
                        <GroupingSettings ShowUnGroupButton="True" CaseSensitive="false" />
                        <GroupPanel id="GridGroupPanel">
                        </GroupPanel>
                        <ExportSettings>
                            <Pdf PageWidth="">
                            </Pdf>
                        </ExportSettings>
                        <ClientSettings Scrolling-AllowScroll="True" Scrolling-UseStaticHeaders="true" Selecting-AllowRowSelect="true"
                            EnablePostBackOnRowClick="true" EnableRowHoverStyle="true" AllowDragToGroup="True"
                            AllowKeyboardNavigation="false">
                            <Selecting AllowRowSelect="True" />
                            <ClientEvents OnRowContextMenu="onRowContextMenu" OnGridCreated="GridCreated" OnRowClick="RowClick" />
                            <KeyboardNavigationSettings AllowActiveRowCycle="True" EnableKeyboardShortcuts="False" />
                            <Scrolling AllowScroll="True" />
                            <Resizing AllowColumnResize="True" AllowResizeToFit="True" EnableRealTimeResize="True" />
                        </ClientSettings>
                        <MasterTableView ClientDataKeyNames="Subject, Id" TableLayout="Fixed" GroupLoadMode="Client"
                            Width="100%" AdditionalDataFieldNames="Date" AllowFilteringByColumn="true">
                            <CommandItemSettings ShowAddNewRecordButton="False" ShowRefreshButton="False" />
                            <SortExpressions>
                                <telerik:GridSortExpression FieldName="recieved" SortOrder="Descending" />
                            </SortExpressions>
                            <Columns>
                                <telerik:GridBoundColumn DataField="ID" DataType="System.Int64" HeaderText="ID" HeaderStyle-Width="50px"
                                    UniqueName="ID" CurrentFilterFunction="EqualTo" AutoPostBackOnFilter="true" FilterDelay="1000"
                                    ShowFilterIcon="false" FilterControlWidth="35px">
                                    <HeaderStyle Width="50px" />
                                </telerik:GridBoundColumn>
                                <telerik:GridDateTimeColumn DataField="recieved" UniqueName="Recieved" HeaderStyle-Width="150px"
                                    HeaderText="Recieved" DataType="System.DateTime" DataFormatString="{0:dd.MM.yyyy}">
                                    <HeaderStyle Width="150px" />
                                </telerik:GridDateTimeColumn>
                                <telerik:GridBoundColumn DataField="sender" DataType="System.String" UniqueName="Sender"
                                    HeaderText="Sender" AutoPostBackOnFilter="true" FilterDelay="1000" FilterControlWidth="200px"
                                    HeaderStyle-Width="250px" ItemStyle-Wrap="false">
                                    <HeaderStyle Width="250px" />
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="recipient" DataType="System.String" UniqueName="Recipient"
                                    HeaderText="Recipient" AutoPostBackOnFilter="true" FilterDelay="1000" FilterControlWidth="200px"
                                    HeaderStyle-Width="250px" ItemStyle-Wrap="false">
                                    <HeaderStyle Width="250px" />
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="Subject" DataType="System.String" UniqueName="Subject"
                                    HeaderText="Subject" FilterControlWidth="250px" AutoPostBackOnFilter="true" FilterDelay="1000"
                                    ItemStyle-Wrap="false">
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="attachment" DataType="System.Int32" HeaderText="Attachment"
                                    HeaderStyle-Width="110px" UniqueName="Attachment" FilterControlWidth="35px" AutoPostBackOnFilter="true"
                                    FilterDelay="1000">
                                    <HeaderStyle Width="110px" />
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="Storage" DataType="System.String" UniqueName="Storage"
                                    HeaderText="Storage" Display="false">
                                </telerik:GridBoundColumn>
                            </Columns>
                        </MasterTableView>
                    </telerik:RadGrid>
                </telerik:RadPane>
                <telerik:RadSplitBar runat="server" ID="RadSplitBar1" />
                <telerik:RadPane runat="server" ID="RadPane3" Height="300px">
                    <asp:Panel ID="DetailsPanel" runat="server" Height="100%">
                        <asp:Label ID="lblNoMailSelected" runat="server" Text="No email selected" Font-Size="Larger"></asp:Label>
                        <asp:DetailsView runat="server" ID="DetailsView1" AutoGenerateRows="False" CssClass="message-view" BorderColor="Transparent" BorderWidth="5"
                            DataKeyNames="ID" GridLines="Both" EnableViewState="False" EnableModelValidation="True">
                            <Fields>
                                <asp:TemplateField ShowHeader="false">
                                    <ItemTemplate>
                                        <asp:Label ID="lblSubject" runat="server" Text='<%# Eval("Subject") %>' Font-Size="Larger"></asp:Label><br />
                                        <asp:Label ID="lblsent" runat="server" Text="Sent: "></asp:Label>
                                        <asp:Label ID="lbltsent" runat="server" Text='<%# Eval("recieved")%>'></asp:Label>
                                        &nbsp;&nbsp;
                            <asp:Label ID="lblid" runat="server" Text="ID: "></asp:Label>
                                        <asp:Label ID="lbltID" runat="server" Text='<%# Eval("id")%>'></asp:Label><br />
                                        <asp:Label ID="lblfrom" runat="server" Text="From: "></asp:Label>
                                        <asp:Label ID="lbltfrom" runat="server" Text='<%# Eval("sender")%>'></asp:Label><br />
                                        <asp:Panel runat="server" ID="topnl">
                                            <asp:Label ID="lblto" runat="server" Text="To:"></asp:Label>
                                            <asp:Label ID="lbltto" runat="server" Text='<%# Eval("to")%>'><br /></asp:Label>
                                        </asp:Panel>
                                        <asp:Panel runat="server" ID="ccpnl" Visible='<%#Convert.ToBoolean(Eval("ccshow"))%>'>
                                            <asp:Label ID="lblcc" runat="server" Text="Cc:" Visible='<%#Convert.ToBoolean(Eval("ccshow"))%>'></asp:Label>
                                            <asp:Label ID="lbltcc" runat="server" Text='<%# Eval("cc")%>' Visible='<%#Convert.ToBoolean(Eval("ccshow"))%>'></asp:Label>
                                        </asp:Panel>
                                        <asp:Label ID="lblbcc" runat="server" Text="Bcc:" Visible='<%#Convert.ToBoolean(Eval("bccshow"))%>'></asp:Label>
                                        <asp:Label ID="lbltbcc" runat="server" Text='<%# Eval("bcc")%>' Visible='<%#Convert.ToBoolean(Eval("bccshow"))%>'><br /></asp:Label>
                                        <asp:Panel runat="server" ID="attachmentpnl" Visible='<%#Convert.ToBoolean(Eval("AttachmentShow"))%>'>
                                            <asp:Label ID="lblAttachment" runat="server" Text="Attchment:"></asp:Label>
                                            <asp:Label ID="lbltAttachment" runat="server" Text='<%# Eval("attachment")%>'><br /></asp:Label>
                                        </asp:Panel>
                                        <asp:Label ID="lblPathInfo" runat="server" Text="Path:"></asp:Label>
                                        <asp:Label ID="lbltPathInfo" runat="server" Text='<%# Eval("pathInfo")%>'></asp:Label>
                                        <hr />
                                        <div id="message-body">
                                            <%# Eval("body").Replace("\n", "<br />")%>
                                        </div>
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Fields>
                        </asp:DetailsView>
                    </asp:Panel>
                </telerik:RadPane>
            </telerik:RadSplitter>
        </telerik:RadPane>
    </telerik:RadSplitter>
</asp:Content>
