﻿
function showWindow(control, windowName) {
    $find(control.ClientID).open(null, windowName);
    //ciRadWindowSettings[windowName] = { width: 200 };
}

function GetSelectedWindow(control) {
    alert(control.ClientID);
    return $find(control.ClientID).getActiveWindow();
}

function PositionWindow(sender) {
    if (!sender || !sender.isVisible()) {
        return;
    }

    var cHeight = document.body.clientHeight;
    var cWidth = document.body.clientWidth;

    // default position
    // position: top:0, left:50%, 
    // dimension: width: 50%, height 100%
    var mTopOffset = 0;
    var mMinWidth = 300;
    var mHeight = cHeight;
    var mWidth = Math.round(cWidth * 0.5);

    if (sender.get_name() == "winSettings" || sender.get_name() == "winFeedback") {
        // used for settings window
        // position: top:50px, left:70%, 

        mTopOffset = 50;
        mHeight = cHeight - mTopOffset;
        mWidth = Math.round(cWidth * 0.3);
    } 

    // if calculate width smaller than min width, use min width instead
    mWidth = (mWidth < mMinWidth) ? mMinWidth : mWidth

    sender.set_width(mWidth);
    sender.set_height(mHeight);

    sender.moveTo((cWidth - mWidth), mTopOffset)


}

// function InitWindow(control, showModal, windowStyle) {
function InitWindow(sender, args) {

    setTimeout(function () {
        if (!sender) {
            window.setTimeout(function () { InitWindow(sender, null) }, 0);
        } else {
            sender.set_modal(true);
            PositionWindow(sender);
        }

    }, 0);

    $(window).resize(function () { PositionWindow(sender); });

}

