﻿<%@ Page Language="vb" AutoEventWireup="true" MasterPageFile="~/Shared/MasterPageLayout.master"
    CodeBehind="otherMailbox.aspx.vb" Inherits="CI.Archive.OtherMailboxPage" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Sidebar" runat="Server">
    <div style="margin: 5px; text-align: center;">
        <br />
        <br />
        <img alt="" src="<%= VirtualPathUtility.ToAbsolute("~/images/data_shared128.png") %>" /><br />
        <br />
        <br />
        <asp:Label ID="lblOMInfo" runat="server" Text="Select shared or fullaccess mailbox-archieve from other users."></asp:Label>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="Content" runat="Server">
    <telerik:RadAjaxManager runat="Server" ID="RadAjaxManager1" OnAjaxRequest="RadAjaxManager1_AjaxRequest">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadAjaxManager1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" LoadingPanelID="RadAjaxLoadingPanel1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="List">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadToolBar1" />
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" LoadingPanelID="RadAjaxLoadingPanel1" />
                    <telerik:AjaxUpdatedControl ControlID="ByCategory" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="ByCategory">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" LoadingPanelID="RadAjaxLoadingPanel1" />
                    <telerik:AjaxUpdatedControl ControlID="List" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel runat="server" ID="RadAjaxLoadingPanel1">
    </telerik:RadAjaxLoadingPanel>
    <telerik:RadSplitter runat="server" ID="RadSplitter1" Width="100%" BorderSize="0"
        BorderStyle="None" PanesBorderSize="0" Height="100%" Orientation="Horizontal">
        <telerik:RadPane runat="server" ID="RadPane1" Height="54px" EnableViewState="false"
            Scrollable="false">
            <telerik:RadToolBar runat="server" ID="RadToolBar1" EnableViewState="False" ResolvedRenderMode="Classic" SingleClick="None" Height="100%">
                <Items>
                    <telerik:RadToolBarButton Text="Apply" ImageUrl="~/images/check16.png" CommandName="applyom" />
                    <telerik:RadToolBarButton runat="server" CommandName="cancelom" ImageUrl="~/images/navigate_cross_16.png"
                        Text="Cancel">
                    </telerik:RadToolBarButton>
                </Items>
            </telerik:RadToolBar>
        </telerik:RadPane>
        <telerik:RadSplitBar runat="server" CollapseMode="None" EnableResize="false"></telerik:RadSplitBar>
        <telerik:RadPane runat="server" ID="RadPane2">
            <telerik:RadContextMenu runat="server" ID="RadContextMenu1" OnClientItemClicked="onContextMenuItemClicked">
                <Items>
                    <telerik:RadMenuItem Text="Open" />
                    <telerik:RadMenuItem Text="Cancel" />
                </Items>
            </telerik:RadContextMenu>
            <telerik:RadGrid runat="server" ID="RadGrid1" AutoGenerateColumns="False" BorderWidth="0px"
                Style="outline: none" Culture="de-DE" ResolvedRenderMode="Classic" Width="100%"
                AllowSorting="True" FilterType="Combined" MasterTableView-IsFilterItemExpanded="False"
                Height="100%" GroupPanelPosition="Top">
                <ClientSettings EnableRowHoverStyle="true" Selecting-AllowRowSelect="true">
                    <ClientEvents OnRowDblClick="onRowDoubleClick" OnRowClick="RowClick" OnRowContextMenu="onRowContextMenu" />
                </ClientSettings>
                <MasterTableView ClientDataKeyNames="Name, email_Adress" GroupLoadMode="Client">
                    <Columns>
                        <telerik:GridTemplateColumn DataField="Name" HeaderText="Name" SortExpression="Name">
                            <ItemTemplate>
                                <img src="<%= VirtualPathUtility.ToAbsolute("~/images/data_shared16.png") %>" alt="" /><%# Eval("name")%>
                            </ItemTemplate>
                        </telerik:GridTemplateColumn>
                        <telerik:GridBoundColumn DataField="email_Adress" HeaderText="Email Adress" HeaderStyle-Width="300px" />
                    </Columns>
                </MasterTableView>
            </telerik:RadGrid>
        </telerik:RadPane>
    </telerik:RadSplitter>
    <telerik:RadCodeBlock runat="server" ID="RadCodeBlock1">
        <script type="text/javascript">
            var text = null;
            var id = null;

            function RowClick(sender, args) {
                args.get_domEvent().stopPropagation();
                text = args.getDataKeyValue("Name");
                id = args.getDataKeyValue("email_Adress")
            }

            function onRowDoubleClick(sender, args) {
                args.get_domEvent().stopPropagation();
                text = args.getDataKeyValue("Name");
                id = args.getDataKeyValue("email_Adress")
                openNote(id);
            }

            function onRowContextMenu(sender, args) {
                var contextMenu = $find("<%= RadContextMenu1.ClientID %>");
                text = args.getDataKeyValue("Name");
                id = args.getDataKeyValue("email_Adress");
                contextMenu.show(args.get_domEvent());
            }

            function onWindowLoad(sender, args) {
                sender.get_contentFrame().contentWindow.setEditorContent(text);
            }

            function openNote(id) {
                var commandData = { Id: id, Command: 0 };
                executeNoteCommand(commandData);
            }

            function cancelNote(id) {
                var commandData = { Id: id, Command: 1 };
                executeNoteCommand(commandData);
            }

            function executeNoteCommand(commandData) {
                var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
                ajaxManager.ajaxRequest(Sys.Serialization.JavaScriptSerializer.serialize(commandData));
            }

            function onContextMenuItemClicked(sender, args) {
                var item = args.get_item();
                sender.close();

                if (item.get_text() == "Open") {
                    openNote(id);
                }
                else if (item.get_text() == "Cancel") {
                    cancelNote(id);
                }
            }

            $telerik.$(document).ready(function () {
                $telerik.$("div.grid-placeholder").bind("dblclick", function () {
                    id = -1;
                    text = "Note Text ...";
                    window.radopen(null, "Edit");
                }
                );
            }
            );

        </script>
    </telerik:RadCodeBlock>
</asp:Content>
